Bug 11057 - Bootstrap theme: Don't hide language chooser below the fold
Summary: Bootstrap theme: Don't hide language chooser below the fold
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 10309
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 07:19 UTC by Magnus Enger
Modified: 2019-04-10 20:06 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
The chosen language is displayed above the other text in the language chooser (3.55 KB, image/png)
2013-10-16 07:19 UTC, Magnus Enger
Details
Bug 11057 - Bootstrap theme: Don't hide language chooser below the fold (4.09 KB, patch)
2013-10-20 18:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11057 - Bootstrap theme: Don't hide language chooser below the fold (4.39 KB, patch)
2013-10-20 20:29 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11057 - Bootstrap theme: Don't hide language chooser below the fold (4.44 KB, patch)
2013-10-20 20:45 UTC, Ed Veal
Details | Diff | Splinter Review
Bug 11057 - Bootstrap theme: Don't hide language chooser below the fold (4.21 KB, patch)
2013-10-23 15:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11057: Bootstrap theme: Don't hide language chooser below the fold (1.49 KB, patch)
2015-05-05 17:03 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
"Powered by Koha" getting cut into (34.33 KB, image/jpeg)
2015-05-18 18:54 UTC, Indranil Das Gupta
Details
Bug 11057: Follow-up - Bootstrap theme - recompiled css file (84.68 KB, patch)
2015-05-18 20:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-10-16 07:19:09 UTC Comment hidden (obsolete)
Comment 1 Owen Leonard 2013-10-20 18:42:00 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-10-20 20:29:15 UTC Comment hidden (obsolete)
Comment 3 Ed Veal 2013-10-20 20:45:42 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-10-23 15:17:26 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-10-23 17:35:14 UTC
Pushed to master.  Thanks, Owen!
Comment 6 Galen Charlton 2013-10-23 17:36:55 UTC
I am setting this back to ASSIGNED, however -- the patch that was submitted addresses the side issue that Magnus identified, but does not address the main intent of the bug, which is making the language chooser visible without always requiring scrolling.
Comment 7 Katrin Fischer 2015-05-05 09:13:40 UTC
This is still a problem we experience in Koha 3.18.5.1 - even for an almost empty Koha start page the language chooser is hiding. This is a problem as people have problems locating it as they don't expect it to be hidden below.
Comment 8 Bernardo Gonzalez Kriegel 2015-05-05 17:03:54 UTC
Created attachment 38870 [details] [review]
Bug 11057: Bootstrap theme: Don't hide language chooser below the fold

This patch removes one attribute from one class on opac.less
Generated css files show language changer all the time

To test:
1) Update and translate for a anguage of your choice
2) Enable lang on OPAC, also allow opaclanguagesdisplay
3) Go to OPAC, note language changer 'hidden', scroll to view
4) Apply the patch
5) Check you have node.js and lessc
(nodejs and node-less packeages)
6) Compile and replace new opac.css
lessc --compress koha-tmpl/opac-tmpl/bootstrap/less/opac.less > koha-tmpl/opac-tmpl/bootstrap/css/opac.css
7) Reload OPAC, check language changer is visible without scrolling.
8) Check Advanced search, Authority search, Tag cloud, Login page, etc
Language changer must be visible without scroll

I do not provide a new opac.css
Hope Owen could take a look
Comment 9 Indranil Das Gupta 2015-05-18 18:54:58 UTC
Created attachment 39289 [details]
"Powered by Koha" getting cut into

Hi Bernardo,

Ran the tests (both pre and post patching). The switcher panel *does* stay visible in place after patch. But I'm having the "Powered by Koha" cut away. 'opaccredits' is not impacted,

-idg
Comment 10 Katrin Fischer 2015-05-18 20:18:30 UTC
Hm, I only see a difference with and without the patch with a recompiled css file - attaching as a follow-up.
Comment 11 Katrin Fischer 2015-05-18 20:19:33 UTC
Created attachment 39290 [details] [review]
Bug 11057: Follow-up - Bootstrap theme - recompiled css file
Comment 12 Bernardo Gonzalez Kriegel 2015-05-19 18:39:05 UTC
(In reply to Katrin Fischer from comment #10)
> Hm, I only see a difference with and without the patch with a recompiled css
> file - attaching as a follow-up.

Yeah, that's point 6) in test plan :)
Comment 13 Bernardo Gonzalez Kriegel 2015-05-19 18:40:49 UTC
(In reply to Indranil Das Gupta from comment #9)
> Created attachment 39289 [details]
> "Powered by Koha" getting cut into
> 
> Hi Bernardo,
> 
> Ran the tests (both pre and post patching). The switcher panel *does* stay
> visible in place after patch. But I'm having the "Powered by Koha" cut away.
> 'opaccredits' is not impacted,
> 
> -idg

I can reproduce, so it's not ready and needs more work.
Thanks for testing :)
Comment 14 Bernardo Gonzalez Kriegel 2015-05-23 20:16:51 UTC
Now we have Bug 14252, if pass then it makes this bug moot.
Comment 15 Viktor Sarge 2015-06-05 19:56:01 UTC
As a local fix I currently tried sticking this into OPACuserCSS: 

.navbar-fixed-bottom.navbar-static-bottom {
  margin-top: .5em;
  position: absolute;
  bottom: 0;
  left: 0;
}


Seems to work (and I guess it does the same thing more or less).
Comment 16 Bernardo Gonzalez Kriegel 2015-06-05 20:27:08 UTC
(In reply to Viktor Sarge from comment #15)
> Seems to work (and I guess it does the same thing more or less).

No :(
If you make a search, and then scroll down, language bar moves up, fixed in the page (tested with Chrome)
Comment 17 Viktor Sarge 2015-06-08 11:47:44 UTC
Agreed. Way to easy to reproduce that one :)
Comment 18 Katrin Fischer 2016-08-14 11:53:19 UTC
I'd still like to see a fix for this - some libraries like the languages in the footer better than in the top menu.
Comment 19 Katrin Fischer 2019-04-10 20:06:53 UTC
I wonder if this is still needed. The display of the language chooser appears ok now to me, especially with bug 22680.